// loading 
// var preloader = document.getElementById("loading");
// function reloader
// function reloader()
// {
//     preloader.style.display = 'none';
// }

//Fixed menu
$( document ).ready(function() {
    $('.fixed-menu .icon-color').on('click',function()
    {
        $(this).parent('.fixed-menu').toggleClass('is-visiable');
        if($(this).parent('.fixed-menu').hasClass('is-visiable'))
        {
            $(this).parent('.fixed-menu').animate({
                left: 0
            } , 500);
        }
        else
        {
            $(this).parent('.fixed-menu').animate({
                left: '-100px'
            } , 500);
        }
    });
});

//change color
$( document ).ready(function() {
    $('.change-color li').on('click',function()
    {
        $('body').attr('data-default-color', $(this).data('color'));
    });
});

const lines = document.querySelector('.lines');
const navLinks = document.querySelector('.nav-links');
const links = document.querySelectorAll('.nav-links li');
lines.addEventListener("click", () =>
{
    navLinks.classList.toggle("open");
    links.forEach(link =>{
        link.classList.toggle("slide");
    });
});

// owl carousel
$(document).ready(function($) {
    "use strict";
    //  TESTIMONIALS CAROUSEL HOOK
    $('#customers-testimonials').owlCarousel({
        rtl:true,
        loop: true,
        center: true,
        items: 3,
        margin: 0,
        autoplay: true,
        dots:true,
        autoplayTimeout: 8500,
        smartSpeed: 450,
        responsive: {
          0: {
            items: 1
          },
          500: {
            items: 2
          },
          1170: {
            items: 3
          }
        }
    });
});

// donate
$('.donate a').click(function(){
  $('.donate.active').removeClass('active');
  $(this).closest('.donate').addClass('active');
  return false;
});
$(document).ready(function(){
  if($('#donatea').hasClass('active'))
    $('.content').css('color','red');
  });

// social icon
    $(document).ready(function(){
      $('.share .toggle').click(function(){
        $('.fa-share-alt').toggleClass('active');
        $('ul').toggleClass('active');
        $('.fas').toggleClass('fa-times');
      });
    });
    $(document).ready(function(){
      $('.toggle').click(function(){
        if ($("#icon-share").hasClass("fa-share-alt")) {
        $("#icon-share").removeClass('fa-share-alt');
        $("#icon-share").addClass('fa-times');
      }
        else
        {
        $("#icon-share").removeClass('fa-times');
        $("#icon-share").addClass('fa-share-alt');
        }
      });
    });


    //smooth scroll
    $('.nav-header-index .row .nav-links a').click(function(e){
      e.preventDefault();

      $('html, body').animate({
          scrollTop: $('#' + $(this).data('scroll')).offset().top +1
      } ,500);
  });
    $('.nav-header-index .row .navlinks a').click(function(e){
      e.preventDefault();

      $('html, body').animate({
          scrollTop: $('#' + $(this).data('scroll')).offset().top +1
      } ,500);
  });

  // fixed header
  $('body').css('paddingTop', $('.nav-header').innerHeight());
  
  
  // add active to menu in header
  $('.navlinks a').click(function(){
      $(this).siblings().removeClass('active');
     $(this).addClass('active');
  });
  
  $(window).scroll(function()
  {
      $('.block').each(function(){
          if($(window).scrollTop() > $(this).offset().top)
          {
              var blockID = $(this).attr('id');
              $('.navlinks a').removeClass('active');
              $('.navlinks a[data-scroll="'+ blockID +'"]').addClass('active');

          }
      });
  });
  
  //scroll top
    var scrollToTop = $('.scrollToTop');
  $(window).scroll(function()
  {
     if($(window).scrollTop() >= 300)
     {
         if(scrollToTop.is(':hidden'))
         {
             scrollToTop.fadeIn(400);
         }
     }
     else
     {
         scrollToTop.fadeOut(400);
     }
  });

    $('.scrollToTop').click(function(e){
      e.preventDefault();
      $('html, body').animate({
          scrollTop: 0
      } ,1000);
    }); 